unit uFormMensagem;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfrmMensagem = class(TForm)
    Image1: TImage;
    lblMensagem: TLabel;
    btnSim: TBitBtn;
    btnNao: TBitBtn;
    procedure btnSimClick(Sender: TObject);
    procedure btnNaoClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMensagem: TfrmMensagem;

implementation

{$R *.dfm}

procedure TfrmMensagem.btnNaoClick(Sender: TObject);
begin
  Self.ModalResult := mrNo;
end;

procedure TfrmMensagem.btnSimClick(Sender: TObject);
begin
  Self.ModalResult := mrOk;
end;

procedure TfrmMensagem.FormKeyPress(Sender: TObject; var Key: Char);
begin
  Case Key of
  'S','s':
  btnSimClick(btnSim);

  'N','n':
  btnNaoClick(btnNao);
  end;
end;

end.
